Loading...
Searching...
No Matches
field_wdof.icc File Reference

Go to the source code of this file.

## Namespaces

namespace | rheolef
| This file is part of Rheolef.
namespace | rheolef::details

## Macros

#define | _RHEOLEF_FIELD_WDOF_ICC

## Functions

template<class FieldWdof , class FieldRdof >
std::enable_if< details::has_field_wdof_interface< FieldWdof >::value &&details::has_field_rdof_interface< FieldRdof >::value, FieldWdof & >::type | operator+= (FieldWdof &wdof, const FieldRdof &rdof)
template<class FieldWdof , class FieldRdof >
std::enable_if< details::has_field_wdof_interface< FieldWdof >::value &&details::has_field_rdof_interface< FieldRdof >::value, FieldWdof & >::type | operator-= (FieldWdof &wdof, const FieldRdof &rdof)
template<class FieldWdof , class FieldLazy >
std::enable_if< details::has_field_wdof_interface< FieldWdof >::value &&details::has_field_lazy_interface< FieldLazy >::value &&!details::has_field_rdof_interface< FieldLazy >::value, FieldWdof & >::type | operator+= (FieldWdof &wdof, const FieldLazy &lazy)
template<class FieldWdof , class FieldLazy >
std::enable_if< details::has_field_wdof_interface< FieldWdof >::value &&details::has_field_lazy_interface< FieldLazy >::value &&!details::has_field_rdof_interface< FieldLazy >::value, FieldWdof & >::type | operator-= (FieldWdof &wdof, const FieldLazy &lazy)

## Macro Definition Documentation

## _RHEOLEF_FIELD_WDOF_ICC

#define _RHEOLEF_FIELD_WDOF_ICC

Definition at line 2 of file field_wdof.icc.